//
//  ViewController.m
//  CCXG
//
//  Created by TNKG on 2017/5/25.
//  Copyright © 2017年 word. All rights reserved.
//

#import "ViewController.h"
#define Screen_Width  [UIScreen mainScreen].bounds.size.width
#define Screen_Height [UIScreen mainScreen].bounds.size.height
@interface ViewController ()<UITableViewDelegate,UITableViewDataSource>
@property(nonatomic,strong)UITableView *tableView;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    UIImageView *backgroundImg = [[UIImageView alloc]initWithFrame:CGRectMake(10, 0, Screen_Width-20, 230)];
    backgroundImg.image = [UIImage imageNamed:@"u=46745525,1630076495&fm=23&gp=0.jpg"];
    [self.view addSubview:backgroundImg];
    _tableView = [[UITableView alloc]initWithFrame:CGRectMake(0, 0, Screen_Width, Screen_Height) style:UITableViewStylePlain];
    _tableView.backgroundColor = [UIColor clearColor];
    _tableView.delegate = self;
    _tableView.dataSource = self;
    [self.view insertSubview:_tableView aboveSubview:backgroundImg];
    UIView *headView = [[UIView alloc]initWithFrame:CGRectMake(0, 0, Screen_Width, 230)];
    headView.backgroundColor = [UIColor clearColor];
    headView.alpha = 1;
    _tableView.tableHeaderView = headView;
    
}
-(void)setUpUI{
    
}
#pragma mark TabelViewDelage&DataSource
-(NSInteger)numberOfSectionsInTableView:(UITableView *)tableView{
    return 1;
}
-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    return  20;
}
-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"cell"];
    if (!cell) {
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleValue1 reuseIdentifier:@"cell"];
    }
    cell.textLabel.text = @"123456";
    return cell;
}
-(CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section{
    return 30;
}
-(UIView *)tableView:(UITableView *)tableView viewForHeaderInSection:(NSInteger)section{
    UIView *view =[[UIView alloc]initWithFrame:CGRectMake(0, 0, Screen_Width, 30)];
    view.backgroundColor = [UIColor redColor];
    return view;
}
@end
